diff --git a/doc/bashref.info b/doc/bashref.info
index 6f60af1c..a8380dac 100644
--- a/doc/bashref.info
+++ b/doc/bashref.info
@@ -10598,51 +10628,51 @@ D.1 Index of Shell Builtin Commands
                                                               (line 137)
 * hash:                                  Bourne Shell Builtins.
                                                               (line 180)
-* help:                                  Bash Builtins.       (line 336)
+* help:                                  Bash Builtins.       (line 337)
 * history:                               Bash History Builtins.
                                                               (line  40)
 * jobs:                                  Job Control Builtins.
                                                               (line  27)
 * kill:                                  Job Control Builtins.
                                                               (line  59)
-* let:                                   Bash Builtins.       (line 357)
-* local:                                 Bash Builtins.       (line 365)
-* logout:                                Bash Builtins.       (line 376)
-* mapfile:                               Bash Builtins.       (line 381)
+* let:                                   Bash Builtins.       (line 358)
+* local:                                 Bash Builtins.       (line 366)
+* logout:                                Bash Builtins.       (line 377)
+* mapfile:                               Bash Builtins.       (line 382)
 * popd:                                  Directory Stack Builtins.
                                                               (line  39)
-* printf:                                Bash Builtins.       (line 429)
+* printf:                                Bash Builtins.       (line 434)
 * pushd:                                 Directory Stack Builtins.
                                                               (line  61)
 * pwd:                                   Bourne Shell Builtins.
                                                               (line 200)
-* read:                                  Bash Builtins.       (line 477)
-* readarray:                             Bash Builtins.       (line 564)
+* read:                                  Bash Builtins.       (line 482)
+* readarray:                             Bash Builtins.       (line 569)
 * readonly:                              Bourne Shell Builtins.
                                                               (line 210)
 * return:                                Bourne Shell Builtins.
                                                               (line 229)
 * set:                                   The Set Builtin.     (line  11)
 * shift:                                 Bourne Shell Builtins.
-                                                              (line 245)
+                                                              (line 250)
 * shopt:                                 The Shopt Builtin.   (line   9)
-* source:                                Bash Builtins.       (line 573)
+* source:                                Bash Builtins.       (line 578)
 * suspend:                               Job Control Builtins.
                                                               (line 101)
 * test:                                  Bourne Shell Builtins.
-                                                              (line 258)
+                                                              (line 263)
 * times:                                 Bourne Shell Builtins.
-                                                              (line 334)
+                                                              (line 339)
 * trap:                                  Bourne Shell Builtins.
-                                                              (line 340)
-* type:                                  Bash Builtins.       (line 578)
-* typeset:                               Bash Builtins.       (line 610)
-* ulimit:                                Bash Builtins.       (line 616)
+                                                              (line 345)
+* type:                                  Bash Builtins.       (line 583)
+* typeset:                               Bash Builtins.       (line 615)
+* ulimit:                                Bash Builtins.       (line 621)
 * umask:                                 Bourne Shell Builtins.
-                                                              (line 389)
-* unalias:                               Bash Builtins.       (line 707)
+                                                              (line 394)
+* unalias:                               Bash Builtins.       (line 712)
 * unset:                                 Bourne Shell Builtins.
-                                                              (line 407)
+                                                              (line 412)
 * wait:                                  Job Control Builtins.
                                                               (line  76)
 
@@ -10739,14 +10769,16 @@ D.3 Parameter and Variable Index
                                                               (line  38)
 * bind-tty-special-chars:                Readline Init File Syntax.
                                                               (line  45)
+* blink-matching-paren:                  Readline Init File Syntax.
+                                                              (line  50)
 * CDPATH:                                Bourne Shell Variables.
                                                               (line   9)
 * CHILD_MAX:                             Bash Variables.      (line 158)
 * colored-stats:                         Readline Init File Syntax.
-                                                              (line  50)
+                                                              (line  55)
 * COLUMNS:                               Bash Variables.      (line 165)
 * comment-begin:                         Readline Init File Syntax.
-                                                              (line  56)
+                                                              (line  61)
 * COMP_CWORD:                            Bash Variables.      (line 171)
 * COMP_KEY:                              Bash Variables.      (line 200)
 * COMP_LINE:                             Bash Variables.      (line 177)
@@ -10755,31 +10787,31 @@ D.3 Parameter and Variable Index
 * COMP_WORDBREAKS:                       Bash Variables.      (line 204)
 * COMP_WORDS:                            Bash Variables.      (line 210)
 * completion-display-width:              Readline Init File Syntax.
-                                                              (line  61)
+                                                              (line  66)
 * completion-ignore-case:                Readline Init File Syntax.
-                                                              (line  68)
-* completion-map-case:                   Readline Init File Syntax.
                                                               (line  73)
+* completion-map-case:                   Readline Init File Syntax.
+                                                              (line  78)
 * completion-prefix-display-length:      Readline Init File Syntax.
-                                                              (line  79)
+                                                              (line  84)
 * completion-query-items:                Readline Init File Syntax.
-                                                              (line  86)
+                                                              (line  91)
 * COMPREPLY:                             Bash Variables.      (line 218)
 * convert-meta:                          Readline Init File Syntax.
-                                                              (line  96)
+                                                              (line 101)
 * COPROC:                                Bash Variables.      (line 224)
 * DIRSTACK:                              Bash Variables.      (line 228)
 * disable-completion:                    Readline Init File Syntax.
-                                                              (line 102)
-* editing-mode:                          Readline Init File Syntax.
                                                               (line 107)
+* editing-mode:                          Readline Init File Syntax.
+                                                              (line 112)
 * EMACS:                                 Bash Variables.      (line 238)
 * enable-keypad:                         Readline Init File Syntax.
-                                                              (line 118)
+                                                              (line 123)
 * ENV:                                   Bash Variables.      (line 243)
 * EUID:                                  Bash Variables.      (line 247)
 * expand-tilde:                          Readline Init File Syntax.
-                                                              (line 129)
+                                                              (line 134)
 * FCEDIT:                                Bash Variables.      (line 251)
 * FIGNORE:                               Bash Variables.      (line 255)
 * FUNCNAME:                              Bash Variables.      (line 261)
@@ -10793,15 +10825,15 @@ D.3 Parameter and Variable Index
 * HISTFILESIZE:                          Bash Variables.      (line 336)
 * HISTIGNORE:                            Bash Variables.      (line 347)
 * history-preserve-point:                Readline Init File Syntax.
-                                                              (line 133)
+                                                              (line 138)
 * history-size:                          Readline Init File Syntax.
-                                                              (line 139)
+                                                              (line 144)
 * HISTSIZE:                              Bash Variables.      (line 366)
 * HISTTIMEFORMAT:                        Bash Variables.      (line 373)
 * HOME:                                  Bourne Shell Variables.
                                                               (line  13)
 * horizontal-scroll-mode:                Readline Init File Syntax.
-                                                              (line 146)
+                                                              (line 151)
 * HOSTFILE:                              Bash Variables.      (line 382)
 * HOSTNAME:                              Bash Variables.      (line 393)
 * HOSTTYPE:                              Bash Variables.      (line 396)
@@ -10809,12 +10841,12 @@ D.3 Parameter and Variable Index
                                                               (line  18)
 * IGNOREEOF:                             Bash Variables.      (line 399)
 * input-meta:                            Readline Init File Syntax.
-                                                              (line 153)
+                                                              (line 158)
 * INPUTRC:                               Bash Variables.      (line 409)
 * isearch-terminators:                   Readline Init File Syntax.
-                                                              (line 160)
+                                                              (line 165)
 * keymap:                                Readline Init File Syntax.
-                                                              (line 167)
+                                                              (line 172)
 * LANG:                                  Bash Variables.      (line 413)
 * LC_ALL:                                Bash Variables.      (line 417)
 * LC_COLLATE:                            Bash Variables.      (line 421)
@@ -10832,15 +10864,15 @@ D.3 Parameter and Variable Index
                                                               (line  27)
 * MAPFILE:                               Bash Variables.      (line 463)
 * mark-modified-lines:                   Readline Init File Syntax.
-                                                              (line 196)
-* mark-symlinked-directories:            Readline Init File Syntax.
                                                               (line 201)
-* match-hidden-files:                    Readline Init File Syntax.
+* mark-symlinked-directories:            Readline Init File Syntax.
                                                               (line 206)
+* match-hidden-files:                    Readline Init File Syntax.
+                                                              (line 211)
 * menu-complete-display-prefix:          Readline Init File Syntax.
-                                                              (line 213)
+                                                              (line 218)
 * meta-flag:                             Readline Init File Syntax.
-                                                              (line 153)
+                                                              (line 158)
 * OLDPWD:                                Bash Variables.      (line 467)
 * OPTARG:                                Bourne Shell Variables.
                                                               (line  34)
@@ -10849,9 +10881,9 @@ D.3 Parameter and Variable Index
                                                               (line  38)
 * OSTYPE:                                Bash Variables.      (line 474)
 * output-meta:                           Readline Init File Syntax.
-                                                              (line 218)
-* page-completions:                      Readline Init File Syntax.
                                                               (line 223)
+* page-completions:                      Readline Init File Syntax.
+                                                              (line 228)
 * PATH:                                  Bourne Shell Variables.
                                                               (line  42)
 * PIPESTATUS:                            Bash Variables.      (line 477)
@@ -10871,19 +10903,19 @@ D.3 Parameter and Variable Index
 * READLINE_POINT:                        Bash Variables.      (line 528)
 * REPLY:                                 Bash Variables.      (line 532)
 * revert-all-at-newline:                 Readline Init File Syntax.
-                                                              (line 233)
+                                                              (line 238)
 * SECONDS:                               Bash Variables.      (line 535)
 * SHELL:                                 Bash Variables.      (line 541)
 * SHELLOPTS:                             Bash Variables.      (line 546)
 * SHLVL:                                 Bash Variables.      (line 555)
 * show-all-if-ambiguous:                 Readline Init File Syntax.
-                                                              (line 239)
+                                                              (line 244)
 * show-all-if-unmodified:                Readline Init File Syntax.
-                                                              (line 245)
+                                                              (line 250)
 * show-mode-in-prompt:                   Readline Init File Syntax.
-                                                              (line 254)
-* skip-completed-text:                   Readline Init File Syntax.
                                                               (line 259)
+* skip-completed-text:                   Readline Init File Syntax.
+                                                              (line 264)
 * TEXTDOMAIN:                            Locale Translation.  (line  11)
 * TEXTDOMAINDIR:                         Locale Translation.  (line  11)
 * TIMEFORMAT:                            Bash Variables.      (line 560)
@@ -10891,7 +10923,7 @@ D.3 Parameter and Variable Index
 * TMPDIR:                                Bash Variables.      (line 610)
 * UID:                                   Bash Variables.      (line 614)
 * visible-stats:                         Readline Init File Syntax.
-                                                              (line 272)
+                                                              (line 277)
 
 
 File: bashref.info,  Node: Function Index,  Next: Concept Index,  Prev: Variable Index,  Up: Indexes
@@ -10948,10 +10980,10 @@ D.4 Function Index
 * forward-char (C-f):                    Commands For Moving.  (line 12)
 * forward-search-history (C-s):          Commands For History. (line 31)
 * forward-word (M-f):                    Commands For Moving.  (line 18)
-* history-search-backward ():            Commands For History. (line 52)
-* history-search-forward ():             Commands For History. (line 46)
-* history-substr-search-backward ():     Commands For History. (line 64)
-* history-substr-search-forward ():      Commands For History. (line 58)
+* history-search-backward ():            Commands For History. (line 53)
+* history-search-forward ():             Commands For History. (line 47)
+* history-substr-search-backward ():     Commands For History. (line 65)
+* history-substr-search-forward ():      Commands For History. (line 59)
 * insert-comment (M-#):                  Miscellaneous Commands.
                                                                (line 60)
 * insert-completions (M-*):              Commands For Completion.
@@ -10968,7 +11000,7 @@ D.4 Function Index
 * non-incremental-forward-search-history (M-n): Commands For History.
                                                                (line 41)
 * non-incremental-reverse-search-history (M-p): Commands For History.
-                                                               (line 36)
+                                                               (line 35)
 * overwrite-mode ():                     Commands For Text.    (line 56)
 * possible-completions (M-?):            Commands For Completion.
                                                                (line 15)
@@ -10999,8 +11031,8 @@ D.4 Function Index
 * unix-word-rubout (C-w):                Commands For Killing. (line 37)
 * upcase-word (M-u):                     Commands For Text.    (line 44)
 * yank (C-y):                            Commands For Killing. (line 68)
-* yank-last-arg (M-. or M-_):            Commands For History. (line 79)
-* yank-nth-arg (M-C-y):                  Commands For History. (line 70)
+* yank-last-arg (M-. or M-_):            Commands For History. (line 80)
+* yank-nth-arg (M-C-y):                  Commands For History. (line 71)
 * yank-pop (M-y):                        Commands For Killing. (line 71)
 
 
@@ -11094,7 +11126,7 @@ D.5 Concept Index
 * interaction, readline:                 Readline Interaction.
                                                               (line   6)
 * interactive shell <1>:                 Interactive Shells.  (line   6)
-* interactive shell:                     Invoking Bash.       (line 125)
+* interactive shell:                     Invoking Bash.       (line 128)
 * internationalization:                  Locale Translation.  (line   6)
 * job:                                   Definitions.         (line  38)
 * job control <1>:                       Job Control Basics.  (line   6)
@@ -11104,7 +11136,7 @@ D.5 Concept Index
 * killing text:                          Readline Killing Commands.
                                                               (line   6)
 * localization:                          Locale Translation.  (line   6)
-* login shell:                           Invoking Bash.       (line 122)
+* login shell:                           Invoking Bash.       (line 125)
 * matching, pattern:                     Pattern Matching.    (line   6)
 * metacharacter:                         Definitions.         (line  46)
 * name:                                  Definitions.         (line  51)
@@ -11165,134 +11197,134 @@ D.5 Concept Index
 
 
 Tag Table:
-Node: Top930
-Node: Introduction2848
-Node: What is Bash?3076
-Node: What is a shell?4189
-Node: Definitions6728
-Node: Basic Shell Features9646
-Node: Shell Syntax10865
-Node: Shell Operation11895
-Node: Quoting13189
-Node: Escape Character14492
-Node: Single Quotes14977
-Node: Double Quotes15325
-Node: ANSI-C Quoting16450
-Node: Locale Translation17694
-Node: Comments18590
-Node: Shell Commands19208
-Node: Simple Commands20080
-Node: Pipelines20711
-Node: Lists23449
-Node: Compound Commands25178
-Node: Looping Constructs26184
-Node: Conditional Constructs28647
-Node: Command Grouping39577
-Node: Coprocesses41056
-Node: GNU Parallel42889
-Node: Shell Functions46875
-Node: Shell Parameters51959
-Node: Positional Parameters56088
-Node: Special Parameters56988
-Node: Shell Expansions60327
-Node: Brace Expansion62270
-Node: Tilde Expansion65051
-Node: Shell Parameter Expansion67400
-Node: Command Substitution79694
-Node: Arithmetic Expansion81027
-Node: Process Substitution81959
-Node: Word Splitting83009
-Node: Filename Expansion84657
-Node: Pattern Matching86822
-Node: Quote Removal90522
-Node: Redirections90817
-Node: Executing Commands99981
-Node: Simple Command Expansion100651
-Node: Command Search and Execution102581
-Node: Command Execution Environment104918
-Node: Environment107904
-Node: Exit Status109563
-Node: Signals111185
-Node: Shell Scripts113153
-Node: Shell Builtin Commands115671
-Node: Bourne Shell Builtins117699
-Node: Bash Builtins137606
-Node: Modifying Shell Behavior165232
-Node: The Set Builtin165577
-Node: The Shopt Builtin175903
-Node: Special Builtins190324
-Node: Shell Variables191303
-Node: Bourne Shell Variables191743
-Node: Bash Variables193774
-Node: Bash Features220649
-Node: Invoking Bash221548
-Node: Bash Startup Files227326
-Node: Interactive Shells232355
-Node: What is an Interactive Shell?232765
-Node: Is this Shell Interactive?233414
-Node: Interactive Shell Behavior234229
-Node: Bash Conditional Expressions237517
-Node: Shell Arithmetic241519
-Node: Aliases244295
-Node: Arrays246851
-Node: The Directory Stack251832
-Node: Directory Stack Builtins252551
-Node: Controlling the Prompt255507
-Node: The Restricted Shell258279
-Node: Bash POSIX Mode260116
-Node: Job Control269502
-Node: Job Control Basics269962
-Node: Job Control Builtins274681
-Node: Job Control Variables279152
-Node: Command Line Editing280310
-Node: Introduction and Notation281982
-Node: Readline Interaction283604
-Node: Readline Bare Essentials284795
-Node: Readline Movement Commands286584
-Node: Readline Killing Commands287549
-Node: Readline Arguments289469
-Node: Searching290513
-Node: Readline Init File292699
-Node: Readline Init File Syntax293846
-Node: Conditional Init Constructs310832
-Node: Sample Init File313365
-Node: Bindable Readline Commands316483
-Node: Commands For Moving317690
-Node: Commands For History318834
-Node: Commands For Text323019
-Node: Commands For Killing325948
-Node: Numeric Arguments328405
-Node: Commands For Completion329544
-Node: Keyboard Macros333736
-Node: Miscellaneous Commands334424
-Node: Readline vi Mode340230
-Node: Programmable Completion341137
-Node: Programmable Completion Builtins348413
-Node: A Programmable Completion Example358159
-Node: Using History Interactively363409
-Node: Bash History Facilities364093
-Node: Bash History Builtins367092
-Node: History Interaction371020
-Node: Event Designators373725
-Node: Word Designators374947
-Node: Modifiers376586
-Node: Installing Bash377990
-Node: Basic Installation379127
-Node: Compilers and Options381819
-Node: Compiling For Multiple Architectures382560
-Node: Installation Names384224
-Node: Specifying the System Type385042
-Node: Sharing Defaults385758
-Node: Operation Controls386431
-Node: Optional Features387389
-Node: Reporting Bugs397453
-Node: Major Differences From The Bourne Shell398651
-Node: GNU Free Documentation License415510
-Node: Indexes440706
-Node: Builtin Index441160
-Node: Reserved Word Index447987
-Node: Variable Index450435
-Node: Function Index464615
-Node: Concept Index471916
+Node: Top932
+Node: Introduction2852
+Node: What is Bash?3080
+Node: What is a shell?4193
+Node: Definitions6732
+Node: Basic Shell Features9650
+Node: Shell Syntax10869
+Node: Shell Operation11899
+Node: Quoting13193
+Node: Escape Character14496
+Node: Single Quotes14981
+Node: Double Quotes15329
+Node: ANSI-C Quoting16454
+Node: Locale Translation17698
+Node: Comments18594
+Node: Shell Commands19212
+Node: Simple Commands20084
+Node: Pipelines20715
+Node: Lists23458
+Node: Compound Commands25187
+Node: Looping Constructs26193
+Node: Conditional Constructs28656
+Node: Command Grouping39586
+Node: Coprocesses41065
+Node: GNU Parallel42898
+Node: Shell Functions46884
+Node: Shell Parameters52092
+Node: Positional Parameters56504
+Node: Special Parameters57404
+Node: Shell Expansions60743
+Node: Brace Expansion62686
+Node: Tilde Expansion65467
+Node: Shell Parameter Expansion67816
+Node: Command Substitution80110
+Node: Arithmetic Expansion81443
+Node: Process Substitution82375
+Node: Word Splitting83425
+Node: Filename Expansion85073
+Node: Pattern Matching87238
+Node: Quote Removal90938
+Node: Redirections91233
+Node: Executing Commands100397
+Node: Simple Command Expansion101067
+Node: Command Search and Execution102997
+Node: Command Execution Environment105334
+Node: Environment108320
+Node: Exit Status109979
+Node: Signals111649
+Node: Shell Scripts113617
+Node: Shell Builtin Commands116135
+Node: Bourne Shell Builtins118162
+Node: Bash Builtins138408
+Node: Modifying Shell Behavior166232
+Node: The Set Builtin166577
+Node: The Shopt Builtin176904
+Node: Special Builtins191345
+Node: Shell Variables192324
+Node: Bourne Shell Variables192764
+Node: Bash Variables194795
+Node: Bash Features221670
+Node: Invoking Bash222569
+Node: Bash Startup Files228516
+Node: Interactive Shells233545
+Node: What is an Interactive Shell?233955
+Node: Is this Shell Interactive?234604
+Node: Interactive Shell Behavior235419
+Node: Bash Conditional Expressions238707
+Node: Shell Arithmetic242709
+Node: Aliases245485
+Node: Arrays248032
+Node: The Directory Stack253013
+Node: Directory Stack Builtins253732
+Node: Controlling the Prompt256688
+Node: The Restricted Shell259460
+Node: Bash POSIX Mode261297
+Node: Job Control270851
+Node: Job Control Basics271311
+Node: Job Control Builtins276030
+Node: Job Control Variables280501
+Node: Command Line Editing281659
+Node: Introduction and Notation283331
+Node: Readline Interaction284953
+Node: Readline Bare Essentials286144
+Node: Readline Movement Commands287933
+Node: Readline Killing Commands288898
+Node: Readline Arguments290818
+Node: Searching291862
+Node: Readline Init File294048
+Node: Readline Init File Syntax295195
+Node: Conditional Init Constructs312404
+Node: Sample Init File314937
+Node: Bindable Readline Commands318055
+Node: Commands For Moving319262
+Node: Commands For History320406
+Node: Commands For Text324702
+Node: Commands For Killing327631
+Node: Numeric Arguments330112
+Node: Commands For Completion331251
+Node: Keyboard Macros335443
+Node: Miscellaneous Commands336131
+Node: Readline vi Mode341937
+Node: Programmable Completion342844
+Node: Programmable Completion Builtins350120
+Node: A Programmable Completion Example359866
+Node: Using History Interactively365116
+Node: Bash History Facilities365800
+Node: Bash History Builtins368799
+Node: History Interaction372727
+Node: Event Designators375432
+Node: Word Designators376654
+Node: Modifiers378293
+Node: Installing Bash379697
+Node: Basic Installation380834
+Node: Compilers and Options383526
+Node: Compiling For Multiple Architectures384267
+Node: Installation Names385931
+Node: Specifying the System Type386749
+Node: Sharing Defaults387465
+Node: Operation Controls388138
+Node: Optional Features389096
+Node: Reporting Bugs399159
+Node: Major Differences From The Bourne Shell400357
+Node: GNU Free Documentation License417216
+Node: Indexes442412
+Node: Builtin Index442866
+Node: Reserved Word Index449693
+Node: Variable Index452141
+Node: Function Index466462
+Node: Concept Index473763
 
 End Tag Table
